Opened 10 years ago

Closed 10 years ago

Last modified 9 years ago

#81 closed Defect (Invalid)

chart on query results page

Reported by: Lois Haggard Owned by: Lois Haggard
Priority: -Low Milestone:
Component: View-App Version: 2.0
Severity: Keywords:
Cc:

Description (last modified by Lois Haggard)

When I try to display a chart from the query result page, I get a "::chart - missing::" error. (see attached query graph.PNG file.)

The call in my xslt\html\query\module\result\SiteSpecific.xslt matches the base code.

<xsl:if test="not($Result.configuration/CRITERIA/EXCLUDE/GRAPHIC_NAMES/ALL_FLAG)">
	<SELECTION>
		<DESCRIPTION>Available Graphics/Charts</DESCRIPTION>
		<TITLE>Select GRAPH Display</TITLE>
		<SELECTIONS>
			<xsl:for-each select="$Result.charts/CHART[
				(NAME != $Result.queryModule/REQUEST/GRAPHIC_NAME) and 
				not(NAME = $Result.configuration/CRITERIA/EXCLUDE/GRAPHIC_NAMES/GRAPHIC_NAME)]"
			>
				<xsl:sort select="SORT_ODRER" order="ascending" data-type="number"/>
				<SELECTION>
					<URL>?GraphicName=<xsl:value-of select="NAME"/></URL>
					<DESCRIPTION>Display the data in a <xsl:value-of select="TITLE"/> graph</DESCRIPTION>
					<TITLE><xsl:value-of select="TITLE"/></TITLE>
				</SELECTION>
			</xsl:for-each>

			<xsl:if test="exists($Result.configuration/MAP[ 
			  (CHLOROPLETH_VALUES_MEASURE_NAME=/QUERY_MODULE/REQUEST/MEASURE_NAME) 
			   or (DATA_VALUES_MEASURE_NAME   =/QUERY_MODULE/REQUEST/MEASURE_NAME)])">
				<SELECTION>
					<URL>?GraphicName=Map</URL>
					<DESCRIPTION>Display the data in a map</DESCRIPTION>
					<TITLE>Map</TITLE>
				</SELECTION>
			</xsl:if>
		</SELECTIONS>
	</SELECTION>
</xsl:if>

The Tomcat log shows an error - see where it says

query\module\.xml was not found

on the 11th line of the block, below?

IBIS-PH_View  ERROR 17:38:24 ErrorPage.jsp Error - Code: 404, URI: /View2NM/js/jquery-1.3.1.min.js, Message: Requested resource wa
s not found.  It has either moved or is unavailable., Requester's IP: 127.0.0.1
IBIS-PH_View  ERROR 17:38:24 ErrorPage.jsp Error - Code: 404, URI: /View2NM/js/jquery.tablesorter.js, Message: Requested resource
was not found.  It has either moved or is unavailable., Requester's IP: 127.0.0.1
IBIS-PH_View  ERROR 17:38:57 ErrorPage.jsp Error - Code: 404, URI: /View2NM/js/jquery-1.3.1.min.js, Message: Requested resource wa
s not found.  It has either moved or is unavailable., Requester's IP: 127.0.0.1
IBIS-PH_View  ERROR 17:38:57 ErrorPage.jsp Error - Code: 404, URI: /View2NM/js/jquery.tablesorter.js, Message: Requested resource
was not found.  It has either moved or is unavailable., Requester's IP: 127.0.0.1
IBIS-PH_View  ERROR 17:38:59 ErrorPage.jsp Error - Code: 500, URI: /View2NM/query/result/graphic/GroupedHorzBar.jpeg, Message: Unc
aught System Run Time Exception, Requester's IP: 127.0.0.1
java.io.FileNotFoundException: File C:\IBIS\Tomcat-5.5.27\webapps\View2NM\xml\query\module\.xml was not found.
        at org.ibisph.systemid.VerifiedFileSystemID.<init>(VerifiedFileSystemID.java:27) [ibisph-2.0.0.jar:na]
        at org.ibisph.dao.xml.XIncludeDocument.get(XIncludeDocument.java:83) [ibisph-2.0.0.jar:na]
        at org.ibisph.service.xml.QueryModule.getQueryModuleDocument(QueryModule.java:276) [ibisph-2.0.0.jar:na]
        at org.ibisph.mvc.controller.xml.query.ChartGraphic.handleRequest(ChartGraphic.java:126) [ibisph-2.0.0.jar:na]
        at org.springframework.web.servlet.mvc.SimpleControllerHandlerAdapter.handle(SimpleControllerHandlerAdapter.java:48) [spri
ng-webmvc2.5.6.jar:2.5.6.SEC01]
        at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:875) [spring-webmvc2.5.6.jar:2.5.6.
SEC01]
        at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:807) [spring-webmvc2.5.6.jar:2.5.6.S
EC01]
        at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:571) [spring-webmvc2.5.6.jar:2.5.
6.SEC01]
        at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:501) [spring-webmvc2.5.6.jar:2.5.6.SEC01]
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:627) [servlet-api.jar:na]
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:729) [servlet-api.jar:na]
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:269) [catalina.jar:na]
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188) [catalina.jar:na]
        at org.springframework.security.util.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:378) [spring-secur
ity-core-2.0.5.jar:na]
        at org.ibisph.filter.graphic.SVGToRasterFilter.doFilter(SVGToRasterFilter.java:52) [ibisph-2.0.0.jar:na]
        at org.springframework.security.util.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:390) [spring-secur
ity-core-2.0.5.jar:na]
        at org.springframework.security.util.FilterChainProxy.doFilter(FilterChainProxy.java:175) [spring-security-core-2.0.5.jar:
na]
        at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:236) [spring2.5.6.jar:2.
5.6.SEC01]
        at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:167) [spring2.5.6.jar:2.5.6.SE
C01]
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:215) [catalina.jar:na]
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188) [catalina.jar:na]
        at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:213) [catalina.jar:na]
        at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:172) [catalina.jar:na]
        at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:127) [catalina.jar:na]
        at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:117) [catalina.jar:na]
        at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:108) [catalina.jar:na]
        at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:174) [catalina.jar:na]
        at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:875) [tomcat-http.jar:na]
        at org.apache.coyote.http11.Http11BaseProtocol$Http11ConnectionHandler.processConnection(Http11BaseProtocol.java:665) [tom
cat-http.jar:na]
        at org.apache.tomcat.util.net.PoolTcpEndpoint.processSocket(PoolTcpEndpoint.java:528) [tomcat-util.jar:5.1]
        at org.apache.tomcat.util.net.LeaderFollowerWorkerThread.runIt(LeaderFollowerWorkerThread.java:81) [tomcat-util.jar:5.1]
        at org.apache.tomcat.util.threads.ThreadPool$ControlRunnable.run(ThreadPool.java:689) [tomcat-util.jar:5.1]
        at java.lang.Thread.run(Thread.java:619) [na:1.6.0_17]

I am also getting a runtime error (see attached screenshot). But this seems to concern the table sorter javascript that I never implemented. The new View app seems to expect it.


11/11/2010 - The chart on the query results page works, but I am getting an error in my Tomcat console:

IBIS-PH_View  ERROR 15:20:45 o.i.xslt.Transformation - FATAL XSLT Error - ClientAbortException:  java.net.SocketException: Connect
ion reset by peer: socket write error
IBIS-PH_View  ERROR 15:20:45 ErrorPage.jsp Error - Code: 500, URI: /View2BASE20101110/query/result/mort/MortCntyICD10/Count.html,
Message: Uncaught System Run Time Exception, Requester's IP: 127.0.0.1
net.sf.saxon.trans.XPathException: ClientAbortException:  java.net.SocketException: Connection reset by peer: socket write error

Here is another example, FYI:

IBIS-PH_View  ERROR 15:10:49 o.i.xslt.Transformation - FATAL XSLT Error - ClientAbortException:  java.net.SocketException: Connection reset by peer: socket write error
IBIS-PH_View  ERROR 15:10:49 ErrorPage.jsp Error - Code: 500, URI: /View2NM-TEST/query/result/birth/AdolBirthCnty/AdolBirth18_19.html, Message: Uncaught System Run Time Exception, Requester's IP: 127.0.0.1                                                       net.sf.saxon.trans.XPathException: ClientAbortException:  java.net.SocketException: Connection reset by peer: socket write error
     at net.sf.saxon.event.XMLEmitter.close(XMLEmitter.java:265) [saxon9.jar:na]             
     at net.sf.saxon.event.ProxyReceiver.close(ProxyReceiver.java:90) [saxon9.jar:na]        
     at net.sf.saxon.event.ProxyReceiver.close(ProxyReceiver.java:90) [saxon9.jar:na]        
     at net.sf.saxon.event.ProxyReceiver.close(ProxyReceiver.java:90) [saxon9.jar:na]        
     at net.sf.saxon.event.ImplicitResultChecker.close(ImplicitResultChecker.java:69) [saxon9.jar:na]
     at net.sf.saxon.event.ProxyReceiver.close(ProxyReceiver.java:90) [saxon9.jar:na]        
     at net.sf.saxon.event.ComplexContentOutputter.close(ComplexContentOutputter.java:490) [saxon9.jar:na] 
     at net.sf.saxon.Controller.transformDocument(Controller.java:1775) [saxon9.jar:na]      
     at net.sf.saxon.Controller.transform(Controller.java:1559) [saxon9.jar:na]              
     at org.ibisph.xslt.Transformation.transform(Transformation.java:201) [Transformation.class:na]
     at org.ibisph.xslt.Transformation.transform(Transformation.java:160) [Transformation.class:na]
     at org.ibisph.xslt.Transformation.transform(Transformation.java:132) [Transformation.class:na]        
     at org.ibisph.xslt.Transformation.transform(Transformation.java:85) [Transformation.class:na]         
     at org.ibisph.mvc.view.XSLTXMLTransformation.render(XSLTXMLTransformation.java:189) [XSLTXMLTransformation.class:na]
     at org.springframework.web.servlet.DispatcherServlet.render(DispatcherServlet.java:1183) [spring-webmvc2.5.6.jar:2.5.6.SEC01]
     at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:902) [spring-webmvc2.5.6.jar:2.5.6.SEC01]
     at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:807) [spring-webmvc2.5.6.jar:2.5.6.SEC01]
     at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:571) [spring-webmvc2.5.6.jar:2.5.6.SEC01]
     at org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:511) [spring-webmvc2.5.6.jar:2.5.6.SEC01]
     at javax.servlet.http.HttpServlet.service(HttpServlet.java:637) [servlet-api.jar:na]    
     at javax.servlet.http.HttpServlet.service(HttpServlet.java:717) [servlet-api.jar:na]    
     at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:290) [catalina.jar:6.0.29]
     at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206) [catalina.jar:6.0.29]
     at org.springframework.security.util.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:378) [spring-security-core-2.0.5.jar:na]
     at org.ibisph.filter.gzip.CompressResponseFilter.doFilter(CompressResponseFilter.java:65) [CompressResponseFilter.class:na]
     at org.springframework.security.util.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:390) [spring-security-core-2.0.5.jar:na]
     at org.ibisph.filter.add.AddGraphicTypeParameterFilter.doFilter(AddGraphicTypeParameterFilter.java:126) [AddGraphicTypeParameterFilter.class:na]
     at org.springframework.security.util.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:390) [spring-security-core-2.0.5.jar:na] 
     at org.springframework.security.util.FilterChainProxy.doFilter(FilterChainProxy.java:175) [spring-security-core-2.0.5.jar:na] 
     at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:236) [spring2.5.6.jar:2.5.6.SEC01] 
     at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:167) [spring2.5.6.jar:2.5.6.SEC01] 
     at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235) [catalina.jar:6.0.29] 
     at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206) [catalina.jar:6.0.29] 
     at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:233) [catalina.jar:6.0.29] 
     at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:191) [catalina.jar:6.0.29] 
     at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:127) [catalina.jar:6.0.29]
     at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:102) [catalina.jar:6.0.29]
     at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109) [catalina.jar:6.0.29] 
     at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:298) [catalina.jar:6.0.29]  
     at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:857) [tomcat-coyote.jar:6.0.29] 
     at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:588) [tomcat-coyote.jar:6.0.29]              
     at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:489) [tomcat-coyote.jar:6.0.29] 
     at java.lang.Thread.run(Thread.java:619) [na:1.6.0_17] 
Caused by: org.apache.catalina.connector.ClientAbortException: null                             
     at org.apache.catalina.connector.OutputBuffer.doFlush(OutputBuffer.java:319) [catalina.jar:6.0.29]    
     at org.apache.catalina.connector.OutputBuffer.flush(OutputBuffer.java:288) [catalina.jar:6.0.29]      
     at org.apache.catalina.connector.CoyoteOutputStream.flush(CoyoteOutputStream.java:98) [catalina.jar:6.0.29] 
     at java.io.FilterOutputStream.flush(FilterOutputStream.java:123) [na:1.6.0_17]          
     at org.ibisph.filter.gzip.ResponseStream.flush(ResponseStream.java:103) [ResponseStream.class:na]     
     at sun.nio.cs.StreamEncoder.implFlush(StreamEncoder.java:278) [na:1.6.0_17]             
     at sun.nio.cs.StreamEncoder.flush(StreamEncoder.java:122) [na:1.6.0_17]                 
     at java.io.OutputStreamWriter.flush(OutputStreamWriter.java:212) [na:1.6.0_17]          
     at java.io.BufferedWriter.flush(BufferedWriter.java:236) [na:1.6.0_17]                  
     at net.sf.saxon.event.XMLEmitter.close(XMLEmitter.java:262) [saxon9.jar:na]                                                       ... 42 common frames omitted
 Caused by: java.net.SocketException: Connection reset by peer: socket write error               
     at java.net.SocketOutputStream.socketWrite0(Native Method) [na:1.6.0_17]                
     at java.net.SocketOutputStream.socketWrite(SocketOutputStream.java:92) [na:1.6.0_17]    
     at java.net.SocketOutputStream.write(SocketOutputStream.java:136) [na:1.6.0_17]         
     at org.apache.coyote.http11.InternalOutputBuffer.realWriteBytes(InternalOutputBuffer.java:741) [tomcat-coyote.jar:6.0.29] 
     at org.apache.tomcat.util.buf.ByteChunk.flushBuffer(ByteChunk.java:432) [tomcat-coyote.jar:6.0.29]    
     at org.apache.coyote.http11.InternalOutputBuffer.flush(InternalOutputBuffer.java:299) [tomcat-coyote.jar:6.0.29] 
     at org.apache.coyote.http11.Http11Processor.action(Http11Processor.java:981) [tomcat-coyote.jar:6.0.29] 
     at org.apache.coyote.Response.action(Response.java:183) [tomcat-coyote.jar:6.0.29]      
     at org.apache.catalina.connector.OutputBuffer.doFlush(OutputBuffer.java:314) [catalina.jar:6.0.29]                                ... 51 common frames omitted
 IBIS-PH_View  INFO  15:10:55 org.ibisph.util.NetLib.getURLContent - Large string - length: 89602

11/12/2010 - I'll leave this ticket open, just to make sure Garth sees this latest error business.

Attachments (2)

query graph.PNG (115.8 KB) - added by Lois Haggard 10 years ago.
tablesorter runtime error.PNG (77.2 KB) - added by Lois Haggard 10 years ago.

Download all attachments as: .zip

Change History (17)

Changed 10 years ago by Lois Haggard

Attachment: query graph.PNG added

Changed 10 years ago by Lois Haggard

comment:1 Changed 10 years ago by Lois Haggard

Description: modified (diff)

comment:2 Changed 10 years ago by Lois Haggard

Description: modified (diff)

comment:3 Changed 10 years ago by Lois Haggard

Description: modified (diff)

comment:4 Changed 10 years ago by Lois Haggard

Description: modified (diff)

comment:5 Changed 10 years ago by Garth Braithwaite

Resolution: fixed
Status: newclosed

Fixed 2295 & 96.

comment:6 Changed 10 years ago by Lois Haggard

Description: modified (diff)
Resolution: fixed
Status: closedreopened

comment:7 Changed 10 years ago by Lois Haggard

Description: modified (diff)

comment:8 Changed 10 years ago by Lois Haggard

Description: modified (diff)

comment:9 Changed 10 years ago by Garth Braithwaite

Can't replicate. Used base app against UT SAS and tested all chart types with 1 and 2 dims using pop module. No error messages (other than UT's missing XML help files), charts displayed as should. Recommend testing against UTs SAS with untouched core app and go from there.

comment:10 Changed 10 years ago by Lois Haggard

11/24/2010 - Conversation with Garth. We'll just want to keep an eye on this. Lois will watch and see if we can get more information on when it happens.

comment:11 Changed 10 years ago by Lois Haggard

Hmmm... It is happening at the time of the query result, not the chart display. Might just be a NM thing. I'll leave the ticket open until after UT is up and running and they can confirm that it is my local issue.

comment:12 Changed 10 years ago by Lois Haggard

Priority: criticalminor

comment:13 Changed 10 years ago by Lois Haggard

Owner: changed from Garth to Lois Haggard
Status: reopenednew

comment:14 Changed 10 years ago by Lois Haggard

Resolution: invalid
Status: newclosed

comment:15 Changed 9 years ago by (none)

Milestone: IBIS-PH View-2

Milestone IBIS-PH View-2 deleted

Note: See TracTickets for help on using tickets.